


-- prospecting support




local enabled = true


do
-- results : [ore][gem] = numProspected
	local prospectingResults = {
		[36912] = { --Saronite Ore
			[36929] = 0.267, --Huge Citrine
			[36930] = 0.04, --Monarch Topaz
			[36923] = 0.264, --Chalcedony
			[36924] = 0.039, --Sky Sapphire
			[36932] = 0.267, --Dark Jade
			[36918] = 0.059, --Scarlet Ruby
			[36926] = 0.267, --Shadow Crystal
			[36927] = 0.038, --Twilight Opal
			[36920] = 0.265, --Sun Crystal
			[36933] = 0.039, --Forest Emerald
			[36921] = 0.038, --Autumn\'s Glow
			[36917] = 0.263, --Bloodstone
		},
		[36909] = { --Cobalt Ore
			[36929] = 0.367, --Huge Citrine
			[36930] = 0.012, --Monarch Topaz
			[36923] = 0.367, --Chalcedony
			[36924] = 0.011, --Sky Sapphire
			[36932] = 0.37, --Dark Jade
			[36918] = 0.012, --Scarlet Ruby
			[36926] = 0.369, --Shadow Crystal
			[36927] = 0.012, --Twilight Opal
			[36920] = 0.364, --Sun Crystal
			[36917] = 0.36, --Bloodstone
			[36921] = 0.011, --Autumn\'s Glow
			[36933] = 0.012, --Forest Emerald
		},
		[10620] = { --Thorium Ore
			[12799] = 0.326, --Large Opal
			[23112] = 0.003, --Golden Draenite
			[23079] = 0.003, --Deep Peridot
			[12361] = 0.319, --Blue Sapphire
			[23117] = 0.003, --Azure Moonstone
			[12800] = 0.319, --Azerothian Diamond
			[23077] = 0.003, --Blood Garnet
			[21929] = 0.003, --Flame Spessarite
			[12364] = 0.322, --Huge Emerald
			[23107] = 0.003, --Shadow Draenite
			[7910] = 0.343, --Star Ruby
		},
		[23424] = { --Fel Iron Ore
			[23441] = 0.01, --Nightseye
			[23438] = 0.011, --Star of Elune
			[23112] = 0.263, --Golden Draenite
			[23439] = 0.011, --Noble Topaz
			[23437] = 0.011, --Talasite
			[23117] = 0.253, --Azure Moonstone
			[23436] = 0.011, --Living Ruby
			[23440] = 0.011, --Dawnstone
			[21929] = 0.267, --Flame Spessarite
			[23079] = 0.266, --Deep Peridot
			[23077] = 0.259, --Blood Garnet
			[23107] = 0.259, --Shadow Draenite
		},
		[2772] = { --Iron Ore
			[3864] = 0.508, --Citrine
			[1529] = 0.518, --Jade
			[7910] = 0.049, --Star Ruby
			[1705] = 0.51, --Lesser Moonstone
			[7909] = 0.049, --Aquamarine
		},
		[2770] = { --Copper Ore
			[818] = 0.494, --Tigerseye
			[1210] = 0.098, --Shadowgem
			[774] = 0.495, --Malachite
		},
		[3858] = { --Mithril Ore
			[12364] = 0.023, --Huge Emerald
			[12361] = 0.025, --Blue Sapphire
			[3864] = 0.513, --Citrine
			[12800] = 0.024, --Azerothian Diamond
			[12799] = 0.025, --Large Opal
			[7910] = 0.523, --Star Ruby
			[7909] = 0.52, --Aquamarine
		},
		[23425] = { --Adamantite Ore
			[23441] = 0.033, --Nightseye
			[23438] = 0.033, --Star of Elune
			[23112] = 0.273, --Golden Draenite
			[23439] = 0.034, --Noble Topaz
			[23079] = 0.277, --Deep Peridot
			[23437] = 0.035, --Talasite
			[23117] = 0.27, --Azure Moonstone
			[23436] = 0.033, --Living Ruby
			[23440] = 0.034, --Dawnstone
			[21929] = 0.276, --Flame Spessarite
			[24243] = 0.998, --nil
			[23077] = 0.272, --Blood Garnet
			[23107] = 0.27, --Shadow Draenite
		},
		[2771] = { --Tin Ore
			[3864] = 0.033, --Citrine
			[1210] = 0.561, --Shadowgem
			[1529] = 0.032, --Jade
			[7909] = 0.03, --Aquamarine
			[1705] = 0.57, --Lesser Moonstone
			[1206] = 0.575, --Moss Agate
		},
	}


	-- spoof recipes for prospected ores -> gems
	local function AddToRecipeCache()
		for oreID, gemTable in pairs(prospectingResults) do
			local reagentTable = {}
			local recipeName = "Prospect "..(GetItemInfo(oreID) or "item:"..oreID)

			reagentTable[oreID] = 5

			LSW:AddRecipe(-oreID, recipeName, gemTable, reagentTable, true)
		end
	end

	local function Init()
		LSW:ChatMessage("LilSparky's Workshop adding native Prospecting support")

		AddToRecipeCache()
	end


	local function Test(index)
		if enabled then
			return true
		end

		return false
	end

	LSW:RegisterPricingSupport("Prospecting", Test, Init)
end


